"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Component = require("../model/Component.js");
const Component$1 = require("../view/Component.js");
const Series = require("../model/Series.js");
const Chart = require("../view/Chart.js");
function extendComponentModel(proto) {
  var Model = Component.default.extend(proto);
  Component.default.registerClass(Model);
  return Model;
}
function extendComponentView(proto) {
  var View = Component$1.default.extend(proto);
  Component$1.default.registerClass(View);
  return View;
}
function extendSeriesModel(proto) {
  var Model = Series.default.extend(proto);
  Series.default.registerClass(Model);
  return Model;
}
function extendChartView(proto) {
  var View = Chart.default.extend(proto);
  Chart.default.registerClass(View);
  return View;
}
exports.ComponentModel = Component.default;
exports.ComponentView = Component$1.default;
exports.SeriesModel = Series.default;
exports.ChartView = Chart.default;
exports.extendChartView = extendChartView;
exports.extendComponentModel = extendComponentModel;
exports.extendComponentView = extendComponentView;
exports.extendSeriesModel = extendSeriesModel;
